MeiroDocs

Journeys

Required feature: **journeys/view**

Section: Group Journeys. Base URL: https://instance_name.meiro.io/api/.

Journey [/journeys/{journey_id}]

Retrieve Journey [GET]

Required feature: journeys/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Journey)

Modify Journey [PATCH]

Required feature: journeys/edit

  • Attributes (JourneyUpdate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Journey)

Delete Journey [DELETE]

Required feature: journeys/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

Journey Activate [/journeys/{journey_id}/activate]

Activate Journey [POST]

Required feature: journeys/status

  • Attributes (JourneyActivate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Journey)

Journey Deactivate [/journeys/{journey_id}/deactivate]

Deactivate Journey [POST]

Required feature: journeys/status

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Journey)

Journey Stop [/journeys/{journey_id}/stop]

Stop Journey [POST]

Required feature: journeys/status

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Journey)

Journeys [/journeys]

List All Journeys [GET]

Required feature: journeys/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (JourneyList)

Create Journey [POST]

Required feature: journeys/edit

  • Attributes (JourneyCreate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

    • Attributes (Journey)

Trashed Journeys [/journeys/trash]

List All Trashed Journeys [GET]

Required feature: journeys/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (TrashedJourneyList)

Trashed Journeys [/journeys/trash/{journey_id}]

Restore Trashed Journey [PATCH]

Required feature: journeys/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Journey)

Journey Node [/journeys/{journey_id}/nodes/{journey_node_id}]

Retrieve Journey Node [GET]

Required feature: journeys/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (JourneyNode)

Modify Journey Node [PATCH]

Required feature: journeys/edit

  • Attributes (JourneyNodeUpdate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (JourneyNode)

Delete Journey Node [DELETE]

Required feature: journeys/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

Journey Nodes [/journeys/{journey_id}/nodes]

List Journey Nodes for Journey [GET]

Required feature: journeys/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (JourneyNodeList)

Create Journey Node [POST]

Required feature: journeys/edit

  • Attributes (JourneyNodeCreate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

    • Attributes (JourneyNode)

Journey Nodes Statistics [/journeys/{journey_id}/nodes_statistics]

Retrieve Journey Nodes Statistics [GET]

Required feature: journeys/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (JourneyNodeStatisticsList)

Journey Lifetime Statistics [/journeys/{journey_id}/lifetime_statistics]

Retrieve Journey Lifetime Statistics [GET]

Required feature: journeys/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (JourneyLifetimeStatistics)

Journey Node Swap [/journeys/{journey_id}/nodes/{journey_node_id}/swap]

Swap Journey Node Path IDs [PATCH]

Required feature: journeys/edit

  • Attributes (JourneyNodeSwapPaths)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Journey)

Journey Node Delete Path [/journeys/{journey_id}/nodes/{journey_node_id}/delete_path]

Journey Node Delete Path [PATCH]

Required feature: journeys/edit

  • Attributes (JourneyNodeDeletePath)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Journey)

On this page